v19.0.2
- Translations updates from Weblate
	- af_za, am_et, ar_sa, az_az, be_by, bg_bg, bs_ba, ca_es, cs_cz, cy_gb, da_dk, de_de, el_gr, en_au, en_gb, en_nz, en_us, eo, es_ar, es_es, es_mx, et_ee, eu_es, fa_af, fa_ir, fi_fi, fo_fo, fr_ca, fr_fr, gl_es, he_il, hi_in, hr_hr, hu_hu, hy_am, id_id, is_is, it_it, ja_jp, ko_kr, lt_lt, lv_lv, mi, mk_mk, ml_in, mn_mn, ms_my, mt_mt, my_mm, nb_no, nl_nl, pl_pl, pt_br, pt_pt, ro_ro, ru_ru, si_lk, sk_sk, sl_si, sq_al, sr_rs, sr_rs@latin, sv_se, szl, ta_in, te_in, tg_tj, th_th, tr_tr, uk_ua, uz_uz, vi_vn, zh_cn, zh_tw

v19.0.1
- Revert std:stoi to std:atoi calls to avoid conversion errors

v19.0.0
- Translations updates from Weblate
  - da_dk, ko_kr, pl_pl
  - To allow also addon.xml content update by Weblate
- Minor cleanups on addon.xml
- Changed test builds to 'Kodi 19 Matrix'
- Increased version to 19.0.0
  - With start of Kodi 20 Nexus, takes addon as major the same version number as Kodi.
    This done to know easier to which Kodi the addon works.

v8.2.1
- Language update from Weblate

v8.2.0
- Support edl files over remote smb shares for commercial skipping

v8.1.2
- Fix MultiByteToWideChar parameter

v8.1.1
- Remove p8-platform dependency
- Remove charset converter dependency
- Use std::thread, std::mutex, condition_variable instead of event and bool defines
- Use thread sleep_for instead of p8 time utils
- Remove SAFE_DELETE
- Use kodi StringUtils
- Remove p8 os includes
- Revert "Removed no more supported (C++17) declaration keyword (register)"

v8.1.0
- Update PVR API 7.1.0

v8.0.0
- Update PVR API 7.0.2

v7.0.0
- Update GUI API 5.15.0

v6.0.1
- Fix build error on Debian if system live555 is not found
- Fix spelling error identified by Lintian

v6.0.0
- Update PVR API 7.0.0
- Rework addon to support new API interface

v5.0.0:
- Update PVR API 6.5.1
- Update Global API 1.2.0

v4.2.8:
- Update PVR API 6.5.0

v4.2.7:
- Update PVR API 6.4.0
- Change source copyright to match SPDX
- Minor cleanups

V4.2.6:
- Fixed: Wrong github URL

v4.2.5:
- Update PVR API 6.3.0

v4.2.4:
- Update Debian build code
- Update with some minor cleanups
- Add license name forum url and source url to addon.xml
- Add GPL2+ license file and show GPL2+ on README.md

v4.2.3:
- Set default invalid season/episode numbers to -1

v4.2.2:
- Transifix update

v4.2.1:
- Translation update from Transifex
- Add p8-platform to addon depends instead of from kodi
- Replace AppVeyor with Azure for test build (better performance)

v4.2.0:
- Update: Recompile for 6.1.0 PVR Addon API compatibility

v4.1.1:
- Update: Build system version
- Fixed: Package check for JsonCpp
- Added: AppVeyor for Windows related build tests

v4.1.0
- Update to GUI addon API v5.14.0

v4.0.1
- Fixed: TSReader: reset the timeshift start time after a successful channel switch
- Fixed: radio webstream support (was broken since Kodi v18 streaming API changes)

v4.0.0
- Update to PVR addon API v6.0.0

v3.5.17:
- Added: GetStreamReadChunkSize support (Refs #92)
- Fixed: TSReader (RTSP): pause hangs Kodi

v3.5.16:
- Fixed: skin background for the custom DialogRecordSettings on unsupported skins
- Fixed: DialogRecordSettings for skin.estuary
- Fixed: DialogRecordSettings for skin.transparency
- Fixed: TSReader RTSP playback (regression bug introduced in v3.5.14)

v3.5.15:
- Fixed: recording playback when the description contains text with a return

v3.5.14:
- Fixed: Delete the tsreader when tuning to a new channel failed. This fixes the first re-tune to a working channel after a failure
- Updated: recommended TVServerKodi version to build 140
- Recording playback: update the end time if the recording is still ongoing
- Recording: Prevent setting a negative last played position. MediaPortal does not like this.
- Recording: mark in-progress recording as "real-time" also on non-Windows targets
- Fixed: various 64-bit compiler warnings
- Fixed: Increase the command buffer size to fit the full contents of strRecordingId in DeleteRecording() and GetRecordings()
- Fixed: tsreader: checking for < 0 on unsigned values is useless

v3.5.13:
- Translation update from Transifex

v3.5.12:
- Translation update from Transifex

v3.5.11:
- Fixed: GetAddonCapabilities() did not explicitly set all newly added capabilities
- Fixed: Error: "Couldn't get 'defaultrecordinglifetime' setting, falling back to '100' as default"
- Fixed: Kodi crash during plugin load

v3.5.10
- Android: fix compiling for android with ndk-18  (credits Rechi)

v3.5.9
- Translation update from Transifex

v3.5.8
- Windows UWP: Fixes for recording playback (TSReader) via the vfs.smb2 plugin
- Windows UWP: disable recording thumbnails code for now (does not work over network shares)

v3.5.7
- Fixed: timeshift support for Live TV in v18 (TSReader)

v3.5.6
- Translation update from Transifex

v3.5.5
- Fixed: Windows UWP build
- Added: Check also C:\ProgramData\Team MediaPortal\MediaPortal TV Server\thumbs for recording thumbs in single seat mode

v3.5.4
- Remove Windows XP support
- Don't update the Kodi connection state when trying to connect in the background thread. This prevents pop-ups every minute when the backend is down.
- Report readable connection state changes instead of numbers
- Remove the deprecated PositionLiveStream() and PositionRecordedStream() functions
- Replace TVServerXBMC plugin references by TVServerKodi
- Accessing %PROGRAMDATA% for TV thumbnails is only possbile for Windows Desktop
- Replace all GetTickCount() calls by GetTickCount64() for UWP compatibility
- Don't report an empty connection string in the log
- Fixed: seek in recordings was broken in v18
- Fixed: recording playback as rtsp stream via internal Kodi videoplayer
- Fixed: Restore file playback via internal Kodi videoplayer on Windows (PVR addon by-pass)
- GetChannelGroupMembers: add iSubChannelNumber support (PVR API 5.8.0)

v3.5.3
- Translation update from Transifex

v3.5.2
- Translation update from Transifex

v3.5.1
- Updated to PVR addon API v5.10.1

v3.5.0
- Updated to PVR addon API v5.10.0

v3.4.4
- Updated to PVR addon API v5.9.0

v3.4.1
- New addon setting for the keep method & default lifetime of recordings

v3.4.0
- Updated to PVR addon API v5.8.0

v3.3.3
- MacOSX compile fix

v3.3.2
- Code cleanup: remove legacy PVR API functions and CStdString
- Set genre of recorded shows to custom string (Credits: Timothy Massing)
- Re-implement fast channel switching logic in a different way after the removal of the SwitchChannel function
- PVR API v5.3.0: Add PVR_TIMER_TYPE_SUPPORTS_ANY_CHANNEL tag to the "Every time on every channel" record option

v3.3.1
- Translation update from Transifex

v3.3.0
- Updated to PVR addon API v5.7.0

v3.2.0
- Updated to PVR addon API v5.6.0
- Removed GetLiveStreamURL functionality.

v3.1.0
- Updated to PVR addon API v5.3.0

v3.0.5
- Remove of never used addon interface function

v3.0.4
- Update Debian package control
- PVR addon callback way changes

v3.0.3
- Removed old no more needed version functions

v3.0.2
- set dependency versions automatic during build
- removed never used kodi to addon functions
- build system cleanup and fixes

v3.0.1
- Add support for asynchronous connect. The addon will now regularly try to connect to the backend if it is not connected already.
- Added support for the recording channelType property to distinguish between radio and tv recordings (requires TVServerKodi v1.15.0.136 or above)
- Added a fallback for in-progress recording playback using the TSReader. When the filename is empty, try the RTSP url and vice versa.
- OpenRecordedStream: send additional error messages to the log in case things fail here.

v3.0.0
- Initial Kodi v18 version

V2.4.9
- Adapt to API change - SeekTime

v2.4.8
- Add Estuary skin support for the old series timer dialog
- Fixed: various Coverity reported issues for Live555 (part 2)
- Fixed: PVR recordings episode name being set to subplot.

v2.4.7
- Fixed: Live555: Android compile fix

v2.4.6
- Fixed: various Coverity reported issues for Live555

v2.4.5
- Cosmetics: remove the remark about "tsreader + FFmpeg".
- TSReader: add Live555 RTSP support back. Current ffmpeg rtsp streams are quite unstable.
- Add ipv6 support for connecting to the TVServerKodi plugin.

v2.4.4
- Updated language files from Transifex

v2.4.3
- Updated language files from Transifex

v2.4.2
- Updated language files from Transifex

v2.4.1
- Updated language files from Transifex

v2.4.0
- Cmake: rename find_package kodi to Kodi

v2.3.1
- Fix includes

v2.3.0
- Updated to PVR addon API v5.2.0

v2.2.0
- Updated to PVR addon API v5.1.0

v2.1.1
- Timers: reduce the amount of magic numbers (PVR API 5.0.0)
- Recordings: implement the new iChannelUid field (PVR API 5.0.0)

v2.1.0
- Updated to PVR addon API v5.0.0

v2.0.4
- Timer: fixed: 'unable to resolve timer type' warnings (Kodi expects a manual, no EPG timer type)
- Timer: fixed: timer disabled state (PVR_TIMER_STATE_CANCELLED should now be PVR_TIMER_STATE_DISABLED)
- Timer: fixed: don't show the unsupported 'folder' field

v2.0.3
- Coverity fixes

v2.0.2
- Updated to PVR API v4.2.0

v2.0.1
- Updated language files from Transifex

v2.0.0
- Initial Kodi Krypton version.

v1.12.0
- Timer: Add series recording timer types support
- Timer: Add an backward compatibility option to re-enable the pre-Jarvis series recording dialog
- Timer: show EPG description
- Recordings: pass recording series and episode numbers to Kodi

v1.11.12
- Updated language files from Transifex

v1.11.11
- Compile fix for gcc 5
- Remove the "unstable" notice from the disclaimer
- Rename TVServerXBMC to TVServerKodi
- pvr.mediaportal.tvserver binary now reports the version number from the addon.xml

v1.11.10
- Updated language files from Transifex

v1.11.9
- Updated language files from Transifex

v1.11.8
- Updated to GUI API v5.10.0

v1.11.7
- Fixed a regression with timer id and epg id handling introduced with PVR API v4.0.0

v1.11.6
- Updated to PVR API v4.1.0

v1.11.5
- Updated to PVR API v4.0.0

v1.11.4
- Updated to PVR API v3.0.0 (API 1.9.7 compatibility mode)

v1.11.3
- Updated to PVR API v2.1.0
- Automatically fill in platform and library name

v1.11.2
- Debian packaging: fix library install path
- Miscellaneous backend fixes

v1.11.1
- Updated to PVR API v2.0.0

v1.11.0
- Updated to PVR API v1.9.7

v1.10.7
- Updated language files from Transifex

v1.10.6
- Coverity fixes

v1.10.5
- Updated to use new libplatform-dev

v1.10.4
- Updated to PVR API v1.9.6
- Recordings: set recording thumbnail path if found on the backend (only TSReader)

v1.10.3
- Move tsreader sources into the MPTV namespace to prevent a crash on RPi when using the FileReader class.
  Kodi now has an internal FileReader class (since xbmc/xbmc/pull/6306) which is somehow used by the addon instead of the class in the addon.
- EPG: Use the episode name as plot outline (when available)
- Channel: add support for ATSC Major.Minor channel numbers
- Radio: attempt to fix the short hickup after 1 second when tuning a radio channel

v1.10.2
- Updated to PVR API v1.9.5
- Fixed: Schedules: Fix displaying an incorrect day in Kodi for 'Weekly' and 'WeeklyEveryTimeOnThisChannel' series recordings
- Fixed: Schedules: change the displayed days for 'EveryTimeOnThisChannel' and 'EveryTimeOnEveryChannel' to all days instead of sunday

v1.10.1
- Updated to PVR API v1.9.4
- Updated to GUI API v5.8.0

v1.9.27
- Updated language files from Transifex

v1.9.26
- Updated language files from Transifex
- Minor changes to conform with C++11

v1.9.25
- Updated language files from Transifex

v1.9.24
- added getBackendHostname function

v1.9.23
- Fixed mime-type for MPEG-TS

v1.9.22
- Updated language files from Transifex

v1.9.21
- change library name to Kodi

v1.9.20
- fixed deadlock when activating the addon on some darwin (osx, ios) runtimes

v1.9.19
- Updated language files from Transifex

v1.9.18
- Updated language files from Transifex

v1.9.16
- Updated to API v1.9.2

v1.9.15
- Added: Series recording support (requires skin specific dialog)
- Fixed: [TSReader] Direct playback of recordings that are stored on a network share

v1.9.14
- Updated language files from Transifex

v1.9.13
- Added: Live TV/Recordings: Report "permission denied" errors on SMB access failures
- Changed: [Settings] enable fast channel switching by default
- Changed: Reduce the signal status calls to once every 10s.
- Fixed: Channel thumbnails: replace also the invalid file name characters <>*?\| in the channel name by a _
- Fixed: [SMB] Allow an empty username and password field
- Fixed: [SMB] Don't replace \\ by smb:// when not at the start of the path
- Fixed: Stop timeshifting at the backend side on buffer open failure.
- Fixed: Recordings: Fix playback for in-progress recordings. Play them always via the PVR addon to account for the growing file length
- Fixed: Recording playback over rtsp in ffmpeg mode

v1.9.12
- Updated language files from Transifex

v1.9.11
- Updated language files from Transifex

v1.9.10
- add timeshift buffer functions

v1.8.9
- TSReader: Fixed: channel switching behavior when switching across tsbuffer files
- TSReader: Fixed: Windows share access in multiseat mode (return smb:// URI's instead of \\UNC paths to XBMC also for Windows)
- TSReader: Fixed: SD<->HD channel switching with "fast channel switching" enabled (add PAT detection to find the exact start of the new channel in the timeshift buffer file)
- Recordings: Add support for retrieving and storing the playback resume position (requires TVServerXBMC build 121 or higher)
- Recordings: Trigger a recording list update when the backend couldn't find the selected recording
- Fixed: potential out-of-bounds array access while accessing TV Card info
- Fixed: Hide smb password in debug xbmc.log file
- Added: support for retrieving channels from multiple specified groups (>1, < All groups) (requires TVServerXBMC build 122 or higher)
- Changed: drop support for TVServerXBMC builds older than 1.1.x.107
- Changed: more log notifications on errors
- EPG: added additional genre strings to the genre string to id translation table

v1.8.8
- sync with PVR API v1.8.0

v1.7.8
- Bump after PVR API version bump

v1.6.8
- Channels: Use MediaPortal VisibleInGuide property as inverted IsHidden flag in XBMC. (requires TVServerXBMC build 120)
- Channelgroups: Don't import other channel groups when the user selected to import channels from a single group.
- TSReader: non-Windows: start playback as soon as the buffer file has a non-zero length
- Genre translation: seach also for the genre_translation.xml file in the profile folder.

v1.6.7
- Updated language files from Transifex

v1.6.6
- Added: Set recording play count on backend (requires TVServerXBMC build 118)
- Added: Enable/Disable support for individual programs on Series Schedules  (requires TVServerXBMC build 118)
- Timers: Fixed: MarginStart and MarginEnd are in minuted
- Timers: Fixed: Update and Delete of timers for series Schedules
- TSReader: additional debug/error messages on recording/timeshift buffer file access errors

v1.6.5
- Updated language files from Transifex

v1.6.4
- New version number by Team XBMC

v1.2.3.117
- Added: timeshift support for XBMC Frodo

v1.2.3.116:
- Fixed: playback of recordings with non-ASCII characters
- Added: Hungarian translation
- Added: Korean translation

v1.2.3.115:
- Changed: Switch to gettext (PO) files for addon translations

v1.2.3.114:
- Added: Live555 RTSP support for Linux

v1.2.3.113:
- Simplify settings. The TVServerXBMC plugin now reports the sharenames for the recordings and timeshift folder

v1.2.3.112:
- Merged: tsreader and ffmpeg addons are now combined into one addon

v1.2.2.111:
- Fixed: Day of the week mismatch for timers between MePo and XBMC. Credits: jajoflo
- Added: Trigger recording update on timer retrieval so the recording list is kept up to date when there is a new recording. Credits: jajoflo
- Fixed: tv group retrieval requested radio groups
- Added: add support for recording genre field
- Fixed: fixes for recording filepath split-up
- Added: show an error message when the recording filename or playback URL is empty

v1.2.2.110:
- Added: use channel icons from MediaPortal (Windows, localhost only)
- Changed: switch from libPlatform + libTcpSocket to platform library

v1.2.2.109:
- Fixed: fix mimetype for tv channels
- Fixed: make sure that OpenLiveStream does not return true due to m_iCurrentChannel when the TSReader fails in a later stage
- Fixed: compilation IOS/OSX/Linux
- Fixed: compile fixes for API move into ADDON namespace
- Added: show localized error messages when OpenLiveStream fails
- Added: signal status support
- Fixed: Don't return encrypted channels as group members when FTA only option is turned on
- Added: add more debug log information about the addon settings and status
- Added: add support for direct recording playback from network shares (smb, Windows only)
- Added: implement support for recording subdirectories
- Fixed: don't return radio channels/channelgroup/channelgroup mappings when radio support is disabled

v1.1.3.107:
- Added: add additional checks for communication errors
- Fixed: trigger also a recording list update on timer changes
- Fixed: add a mutex to prevent mixing up backend communication on concurrent access
- Fixed: stack overflow while closing a live stream
- Fixed: tv/radio playback after recording playback
- Added: EPG genre string-to-id translation table (addons/pvr.team-mediaportal.tvserver/resources/genre_translation.xml)
- Added: EPG genre string support
- Added: Retrieve TV/Radio card settings from the backend
- Added: support for TVServerXBMC v1.1.x.105-107
- Fixed: several memory leaks
- Changed: sources adapted for PVR API changes

v1.1.3.103:
- Fixed: trigger timer and recording list update on changes from XBMC side
- Fixed: check for empty recordings list
- Fixed: check for empty timer list
- Fixed: limit EPG request to the requested period
- Fixed: use tuning details to retrieve the channel number from the backend
- Added: support for TVServerXBMC v1.1.x.104
- Changed: sources adapted for PVR API changes

v1.1.2.102:
- Added: Channel group support
- Fixed: live stream playback
- Fixed: recording retrieval
- Changed: sources adapted for PVR API changes

v1.1.2.101:
- Fixed: "Include radio" setting
- Changed: cleanup unused settings

v1.1.0.100
- Rewrite: timer code
- Changed: BackendName
- Fixed: Retrieve more details for timers (repeat, lifetime, ...)
- Fixed: Playback of radio channels with a webstream URL (added via the MediaPortal TV-server)
- Fixed: "Free-to-air only" setting
- Support for TVServerXBMC v1.1.0.100

v1.1.0.98
- Log more information on socket related problems

v1.1.0.97
- Fixed: Use uri decode for ip-address in hostname field

v1.1.0.96
- Fixed: allow spaces in groupnames, recording names and timer titles
- Fixed: GetTimerInfo
- Add debug messages for empty channel list

v1.1.0.95
- Fix time mismatch between XBMC and MediaPortal TV Server for new timers (scheduled recordings)
- Send genre strings to XBMC for unrecognised genres. No colors in EPG, but at least the text is now ok.

v1.1.0.90
- Faster channel switching (around 2 sec faster)
- Decrease CPU uage when a buffer underrun occurs

v1.1.0.75
- PVR client should abort connection when the TVServerXBMC version is too old

v1.1.0.60
- Fix PVR client destroy
